PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::FilterCommonBase Struct Reference

`#include <plask/filters/filter.hpp>`

Inheritance diagram for plask::FilterCommonBase:
[legend]
Collaboration diagram for plask::FilterCommonBase:
[legend]

## Public Member Functions
template<typename... Args>
| FilterCommonBase (Args &&... args)
Public Member Functions inherited from plask::Solver
bool | initCalculation ()
| This should be called on beginning of each calculation method to ensure that solver will be initialized.
| Solver (const std::string &name="")
| Construct uninitialized solver.
virtual | ~Solver ()
| Virtual destructor (for subclassing). Do nothing.
virtual void | loadConfiguration (XMLReader &source, Manager &manager)
| Load configuration from given `source`.
void | parseStandardConfiguration (XMLReader &source, Manager &manager, const std::string &expected_msg="solver configuration element")
| Load standard configuration (geometry, mesh) tags from `source`.
bool | isInitialized ()
| Check if solver is already initialized.
void | invalidate ()
| This method should be and is called if something important was changed: calculation space, mesh, etc.
virtual std::string | getClassName () const =0
| Get name of solver.
std::string | getId () const
| Get solver id.
std::string | getName () const
virtual std::string | getClassDescription () const
| Get a description of this solver.
template<typename ArgT = double, typename ValT = double>
DataLog< ArgT, ValT > | dataLog (const std::string &chart_name, const std::string &axis_arg_name, const std::string &axis_val_name)
template<typename ArgT = double, typename ValT = double>
DataLog< ArgT, ValT > | dataLog (const std::string &axis_arg_name, const std::string &axis_val_name)
template<typename ... Args>
void | writelog (LogLevel level, std::string msg, Args &&... params) const
| Log a message for this solver.

## Additional Inherited Members
Protected Member Functions inherited from plask::Solver
virtual void | onInitialize ()
| Initialize the solver.
virtual void | onInvalidate ()
| This method is called by invalidate() to reset stored values.
Protected Attributes inherited from plask::Solver
bool | initialized
| `true` only if solver is initialized

## Detailed Description

Definition at line 23 of file filter.hpp.

## Constructor & Destructor Documentation

## ◆ FilterCommonBase()

template<typename... Args>

plask::FilterCommonBase::FilterCommonBase | ( | Args &&... | args | ) |
| inline

Definition at line 25 of file filter.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/filter.hpp